diff options
| author | Lucas de Castro Borges <lucas@gnuabordo.com.br> | 2025-02-18 17:02:53 -0300 |
|---|---|---|
| committer | Lucas de Castro Borges <lucas@gnuabordo.com.br> | 2025-02-18 17:02:53 -0300 |
| commit | 959575a5ca598bf5f37fb5cebe7ed1d80d3d71f7 (patch) | |
| tree | acc8d60aedb12b70048e676e8a7349deb0010db8 /evergreen/functions | |
| parent | 76588293975fc059cf076779e4283e6ffaf8afff (diff) | |
New upstream version 6.0.20upstream
Diffstat (limited to 'evergreen/functions')
| -rwxr-xr-x | evergreen/functions/credentials_setup.sh | 2 | ||||
| -rw-r--r-- | evergreen/functions/venv_setup.sh | 23 | ||||
| -rwxr-xr-x | evergreen/functions/version_expansions_generate.sh | 6 |
3 files changed, 25 insertions, 6 deletions
diff --git a/evergreen/functions/credentials_setup.sh b/evergreen/functions/credentials_setup.sh index 15be8ea1e66..55a9df5282e 100755 --- a/evergreen/functions/credentials_setup.sh +++ b/evergreen/functions/credentials_setup.sh @@ -6,7 +6,7 @@ cd src cat > mci.buildlogger << END_OF_CREDS slavename='${slave}' passwd='${passwd}' -builder='MCI_${build_variant}' +builder='${build_variant}_${project}' build_num=${builder_num} build_phase='${task_name}_${execution}' END_OF_CREDS diff --git a/evergreen/functions/venv_setup.sh b/evergreen/functions/venv_setup.sh index 9b53989aa0e..c6244686084 100644 --- a/evergreen/functions/venv_setup.sh +++ b/evergreen/functions/venv_setup.sh @@ -74,9 +74,22 @@ activate_venv echo "Upgrading pip to 21.0.1" python -m pip --disable-pip-version-check install "pip==21.0.1" "wheel==0.37.0" || exit 1 -if ! python -m pip --disable-pip-version-check install -r "$toolchain_txt" -q --log install.log; then - echo "Pip install error" - cat install.log || true - exit 1 -fi +count=0 +while :; do + if ! python -m pip --disable-pip-version-check install -r "$toolchain_txt" -q --log install.log; then + count=$((count + 1)) + if [[ $count < 5 ]]; then + rand=$((1 + $RANDOM % 3)) + # delay = 20+[1-3] -> 80+[4-12] -> 180+[9-27] -> 320+[16-48] + sleep $((count * count * (20 + rand))) + continue + fi + echo "Pip install error" + cat install.log || true + exit 1 + else + break + fi +done + python -m pip freeze > pip-requirements.txt diff --git a/evergreen/functions/version_expansions_generate.sh b/evergreen/functions/version_expansions_generate.sh index c0e577a59e6..75c89b94420 100755 --- a/evergreen/functions/version_expansions_generate.sh +++ b/evergreen/functions/version_expansions_generate.sh @@ -7,6 +7,12 @@ set -o errexit set -o verbose # We get the raw version string (r1.2.3-45-gabcdef) from git MONGO_VERSION=$(git describe --abbrev=7) + +# If the project is sys-perf (or related), add the string -sys-perf to the version +if [[ "${project}" == sys-perf* ]]; then + MONGO_VERSION="$MONGO_VERSION-sys-perf" +fi + # If this is a patch build, we add the patch version id to the version string so we know # this build was a patch, and which evergreen task it came from if [ "${is_patch}" = "true" ]; then |
